com.pixelmed.dicom

## Class MultiFramePixelData

- java.lang.Object
- - com.pixelmed.dicom.MultiFramePixelData

    public class MultiFramePixelData
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MultiFramePixelData(int rows, int columns, int samplesPerPixel, int numberOfFrames)`

### Method Summary

Methods
`void` `addFrame(Attribute pixelData)`
`Attribute` `getPixelDataAttribute()`
`boolean` `hasBytePixels()`
`boolean` `hasWordPixels()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiFramePixelData

    public MultiFramePixelData(int rows,
                       int columns,
                       int samplesPerPixel,
                       int numberOfFrames)

### Method Detail

#### hasBytePixels

    public boolean hasBytePixels()

#### hasWordPixels

    public boolean hasWordPixels()

#### getPixelDataAttribute

    public Attribute getPixelDataAttribute()
                                    throws DicomException

Throws:
  `DicomException`

#### addFrame

    public void addFrame(Attribute pixelData)
                  throws DicomException

Throws:
  `DicomException`